# ipe::PageSelector Class Reference

`#include <ipeselector_qt.h>`

List of all members.

## Signals

- void selectionMade ()

## Public Member Functions

- PageSelector (Document *doc, int page, int startIndex, int width, QWidget *parent=0)
- int selectedIndex () const

## Static Public Member Functions

- static int selectPageOrView (Document *doc, int page=-1, int startIndex=0, int pageWidth=240, int width=600, int height=480)

## Constructor & Destructor Documentation

PageSelector::PageSelector | ( | Document * | doc,
|  | int | page,
|  | int | startIndex,
|  | int | itemWidth,
|  | QWidget * | parent = `0`
| ) |  |

Construct the widget.

If page is negative, the last view of each page is shown. Otherwise, all views of this page are shown. itemWidth is the width of the page thumbnails (the height is computed automatically).

## Member Function Documentation

int ipe::PageSelector::selectedIndex | ( |  | ) | const`[inline]`

int PageSelector::selectPageOrView | ( | Document * | doc,
|  | int | page = `-1`,
|  | int | startIndex = `0`,
|  | int | pageWidth = `240`,
|  | int | width = `600`,
|  | int | height = `480`
| ) |  | `[static]`

Show dialog to select a page or a view.

If page is negative (the default), shows thumbnails of all pages of the document in a dialog. If the user selects a page, the page number is returned. If the dialog is canceled, -1 is returned.

If page is non-negative, all views of this page are shown, and the selected view number is returned.

void ipe::PageSelector::selectionMade | ( |  | ) | `[signal]`

The documentation for this class was generated from the following files:

- ipeselector_qt.h
- ipeselector_qt.cpp